Debian Bug report logs - #619046
RFP: autocomplete -- A Java library for auto-completion in JTextComponent

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Vladimir Kotov <vladimir@kotov.lv>

Date: Sun, 20 Mar 2011 19:45:01 UTC

Severity: wishlist

Fixed in version autocomplete/2.5.0-1

Done: Benjamin Mesing <ben@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#619046; Package wnpp. (Sun, 20 Mar 2011 19:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vladimir Kotov <vladimir@kotov.lv>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Sun, 20 Mar 2011 19:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vladimir Kotov <vladimir@kotov.lv>
To: submit@bugs.debian.org
Subject: ITP: AutoComplete -- A Java library for auto-completion in JTextComponent
Date: Sun, 20 Mar 2011 21:42:08 +0200
Package: wnpp
Severity: wishlist
Owner: Vladimir Kotov <vladimir@kotov.lv>

* Package name    : AutoComplete
  Version         : 1.5.0
  Upstream Author : Robert Futrell
* URL             : http://fifesoft.com/autocomplete/
* License         : LGPL
  Programming Lang: Java
  Description     : A Java library for auto-completion in JTextComponent

AutoComplete is a library allowing you to add IDE-like auto-completion
(aka "code completion" or "Intellisense") to any Swing JTextComponent.
Special integration is added for RSyntaxTextArea.

It features :
- Drop-down completion choice list.
- Optional companion "description" window, complete with full HTML
  support and navigable with hyperlinks.
- Optional parameter completion assistance for functions/methods,
  ala Eclipse and NetBeans.
- Completion information is typically specified in an XML file,
  but can even be dynamic.




Changed Bug title to 'ITP: autocomplete -- A Java library for auto-completion in JTextComponent' from 'ITP: AutoComplete -- A Java library for auto-completion in JTextComponent' Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Tue, 10 Jan 2012 01:12:18 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Vladimir Kotov <vladimir@kotov.lv>:
Bug#619046; Package wnpp. (Mon, 27 May 2013 14:13:46 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Vladimir Kotov <vladimir@kotov.lv>. (Mon, 27 May 2013 14:13:46 GMT) Full text and rfc822 format available.

Message #12 received at 619046@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 619046@bugs.debian.org
Cc: control@bugs.debian.org
Subject: autocomplete: changing back from ITP to RFP
Date: Mon, 27 May 2013 15:24:15 +0200
retitle 619046 RFP: autocomplete -- A Java library for auto-completion in JTextComponent
noowner 619046
tag 619046 - pending
thanks

Hi,

This is an automatic email to change the status of autocomplete back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in adopting autocomplete, please send a mail to
<control@bugs.debian.org> with:

 retitle 619046 ITP: autocomplete -- A Java library for auto-completion in JTextComponent
 owner 619046 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <619046@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: autocomplete -- A Java library for auto-completion in JTextComponent' from 'ITP: autocomplete -- A Java library for auto-completion in JTextComponent' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:33:42 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Vladimir Kotov <vladimir@kotov.lv>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:33:43 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#619046; Package wnpp. (Thu, 06 Jun 2013 19:18:22 GMT) Full text and rfc822 format available.

Acknowledgement sent to Benjamin Mesing <bensmail@gmx.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 06 Jun 2013 19:18:22 GMT) Full text and rfc822 format available.

Message #21 received at 619046@bugs.debian.org (full text, mbox):

From: Benjamin Mesing <bensmail@gmx.net>
To: vladimir@kotov.lv
Cc: 619046@bugs.debian.org
Subject: [Debian] Status: AutoComplete -- A Java library for auto-completion
Date: Thu, 06 Jun 2013 21:16:22 +0200
retitle 619046 ITP: autocomplete -- A Java library for auto-completion in JTextComponent
owner 619046 !
thanks

Hi Vladimir,

I have found your ITP for this package. I do need the library for
packaging umlet. 
Your ITP is more than two years old, do you have anything to get me
started?

Best regards

Ben






Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#619046; Package wnpp. (Thu, 06 Jun 2013 20:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vladimir Kotov <vladimir@kotov.lv>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 06 Jun 2013 20:12:04 GMT) Full text and rfc822 format available.

Message #26 received at 619046@bugs.debian.org (full text, mbox):

From: Vladimir Kotov <vladimir@kotov.lv>
Cc: Benjamin Mesing <bensmail@gmx.net>, 619046@bugs.debian.org
Subject: Fwd: Re: [Debian] Status: AutoComplete -- A Java library for auto-completion
Date: Thu, 06 Jun 2013 23:09:19 +0300
Hi, Benjamin

I have prepared initial version of autocomplete two years ago.
It is in Debian Java SVN repository:

Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/autocomplete
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/autocomplete/

FYI, RFS for autocomplete
http://lists.debian.org/debian-java/2011/05/msg00045.html

Best regards

On 06/06/2013 10:16 PM, Benjamin Mesing wrote:
> retitle 619046 ITP: autocomplete -- A Java library for auto-completion in JTextComponent
> owner 619046 !
> thanks
> 
> Hi Vladimir,
> 
> I have found your ITP for this package. I do need the library for
> packaging umlet. 
> Your ITP is more than two years old, do you have anything to get me
> started?
> 
> Best regards
> 
> Ben
> 
> 
> 








Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 22 Oct 2013 07:06:10 GMT) Full text and rfc822 format available.

Reply sent to Benjamin Mesing <ben@debian.org>:
You have taken responsibility. (Fri, 29 Nov 2013 13:03:05 GMT) Full text and rfc822 format available.

Notification sent to Vladimir Kotov <vladimir@kotov.lv>:
Bug acknowledged by developer. (Fri, 29 Nov 2013 13:03:05 GMT) Full text and rfc822 format available.

Message #33 received at 619046-close@bugs.debian.org (full text, mbox):

From: Benjamin Mesing <ben@debian.org>
To: 619046-close@bugs.debian.org
Subject: Bug#619046: fixed in autocomplete 2.5.0-1
Date: Fri, 29 Nov 2013 13:00:05 +0000
Source: autocomplete
Source-Version: 2.5.0-1

We believe that the bug you reported is fixed in the latest version of
autocomplete, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 619046@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Benjamin Mesing <ben@debian.org> (supplier of updated autocomplete package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 21 Oct 2013 19:21:04 +0200
Source: autocomplete
Binary: libautocomplete-java libautocomplete-java-doc
Architecture: source all
Version: 2.5.0-1
Distribution: unstable
Urgency: low
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: Benjamin Mesing <ben@debian.org>
Description: 
 libautocomplete-java - Java library for auto-completion in text component
 libautocomplete-java-doc - Java library for auto-completion in text component (documentation
Closes: 619046
Changes: 
 autocomplete (2.5.0-1) unstable; urgency=low
 .
   * new upstream release
   * first upload to archive (Closes: #619046)
Checksums-Sha1: 
 8cc85799ee82c74204fcf808f8e1572391663673 1564 autocomplete_2.5.0-1.dsc
 3a1086aef6aee582a0e5e09d7c8dbe11281081dd 81550 autocomplete_2.5.0.orig.tar.gz
 556ec5a53afa6375d578d8b6484c21fce8525429 4477 autocomplete_2.5.0-1.debian.tar.gz
 1a3a3ff14f863df7756f1e7500c3f7b8ea38bd6a 125986 libautocomplete-java_2.5.0-1_all.deb
 dae991112b6e0fe6e719bd3d3bff153abc401b66 72998 libautocomplete-java-doc_2.5.0-1_all.deb
Checksums-Sha256: 
 a93ce4ddcfa2d58e7ebeb8286bce841751fe6426ac06d157ef111e9eef50d912 1564 autocomplete_2.5.0-1.dsc
 e53460fde2f4ac0b9889850c13c588d43ebfb3c2a865c97d2f54f65041267ca7 81550 autocomplete_2.5.0.orig.tar.gz
 51c37f65cf46a000cdbb0ffc2f35809b6649c412ccdf7da84916a2bab091ce82 4477 autocomplete_2.5.0-1.debian.tar.gz
 8bde0d5af8c079bf1ac476f9351a3286441f0848bbe6a8411917e6701b94aba0 125986 libautocomplete-java_2.5.0-1_all.deb
 fede8d86c2531f6806e45e457cfdf53b21c42cc4e30b94c273d6b9df44150737 72998 libautocomplete-java-doc_2.5.0-1_all.deb
Files: 
 94cda8272e3fbad916e457e7576c4f9f 1564 java optional autocomplete_2.5.0-1.dsc
 6aa727d6cb9b4ce8b52d35f46c3a9859 81550 java optional autocomplete_2.5.0.orig.tar.gz
 be880c4915f84eab8e8a67e4af979537 4477 java optional autocomplete_2.5.0-1.debian.tar.gz
 5d86b18a3bf379a4092677fb14ada9dd 125986 java optional libautocomplete-java_2.5.0-1_all.deb
 1a6c2a3f62b865b9be72064cc0ba61dc 72998 doc optional libautocomplete-java-doc_2.5.0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iEYEARECAAYFAlJleH4ACgkQVPUqhxOrA6ewAACg68yAJMcD4T9vEfwUCHWt+ueW
fbcAoN/3jhpPAU50uvrwZa36c+YdlW/H
=lH3I
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 28 Dec 2013 07:34:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 21:53:24 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.